<script setup lang="ts">

import Button from "primevue/button";
import Editor from "primevue/editor";
import Panel from "primevue/panel";
import InputText from "primevue/inputtext";
import FloatLabel from "primevue/floatlabel";

const title = defineModel('title')
const body = defineModel('body')
</script>

<template>

    <form>
      <div class="title-input">
        <FloatLabel>
          <label for="title">Title</label>
          <InputText id="title" v-model="title" aria-describedby="title-help" />
        </FloatLabel>
        <small id="username-help">Enter the title for your new post.</small>
      </div>
      <div class="flex flex-column gap-2">
        <Editor v-model="body" editorStyle="height: 320px" />
      </div>
      <div class="actions">
        <Button label="Primary" />
        <Button label="Secondary" severity="secondary" />
      </div>
    </form>
</template>

<style scoped>
.actions {
  padding: 10px 0;
  display: flex;
  justify-content: flex-end;
  gap: 5px;
}



.title-input {
  padding: 10px 0;
}
</style>
